Bug 493065 - Tried to use undefined partition pv.1 in Volume Group specification
Tried to use undefined partition pv.1 in Volume Group specification
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 10:17 EDT by Eric Paris
Modified: 2009-06-25 13:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 13:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage.log from the failed attempt (23.65 KB, text/plain)
2009-03-31 10:17 EDT, Eric Paris
no flags Details

  None (edit)
Description Eric Paris 2009-03-31 10:17:25 EDT
Created attachment 337310 [details]
storage.log from the failed attempt

F11 boot.iso from March 31

anaconda version 11.5.0.38 on x86_64

My kickstart contains these exact lines:

part /boot --fstype ext3 --onpart=sda1
part swap --onpart=sda2
part pv.1 --onpart=sda3
part pv.2 --onpart=sda5

volgroup VGF1164 --pesize=32768 pv.1           #(this is line 28)
logvol / --fstype btrfs --name LVROOT --grow
logvol /home --fstype btrfs --name LVHOME --size=4096 --encrypted

volgroup VGVIRT --pesize=32768 pv.2
logvol /var/lib/libvirt/images --fstype btrfs --name LVVIRT --grow

The install fails with the following:

Error Parsing Kickstart Config

The following error was found while parsing your kickstart configuration:

The following problem occurred on line 28 of the kickstart file:

Tried to use undefined partition pv.1 in Volume Group specification
Comment 1 Chris Lumens 2009-04-07 09:46:40 EDT
This should be fixed in the next build of anaconda.
Comment 2 Bug Zapper 2009-06-09 08:51:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.